Package skyview.util

# Class HistScaler

java.lang.Object
skyview.util.Scaler
skyview.util.HistScaler

public class HistScaler extends Scaler
Scale an object linearly.

## Constructor Summary

Constructors
Constructor
Description
`HistScaler()`
Provide default scaler that positive values will scale the array logarithmically between 0-255.
`HistScaler(double minVal, double maxVal, int minOutput, int maxOutput)`
Provide a scaler with a specified scaling range to a specified range of bytes.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`prepareScaling(double[] c)`
Get ready for scaling in this particular instance.
`protected byte`
`scale(double val)`
Scale a single number.
`protected void`
`setMinMax(double[] old)`

### Methods inherited from class skyview.util.Scaler

`getMaxOutput, getMaxVal, getMinOutput, getMinVal, getUseDefault, scaleArray, setMaxVal, setMinVal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HistScaler

public HistScaler()
Provide default scaler that positive values will scale the array logarithmically between 0-255.

### HistScaler

public HistScaler(double minVal, double maxVal, int minOutput, int maxOutput)
Provide a scaler with a specified scaling range to a specified range of bytes.

## Method Details

### setMinMax

protected void setMinMax(double[] old)

Overrides:
  `setMinMax` in class `Scaler`

### prepareScaling

protected void prepareScaling(double[] c)
Description copied from class: `Scaler`
Get ready for scaling in this particular instance.

Specified by:
  `prepareScaling` in class `Scaler`

### scale

protected byte scale(double val)
Description copied from class: `Scaler`
Scale a single number.

Specified by:
  `scale` in class `Scaler`